package constant

type FollowChannelNameStr string

const (
	// TODO 需要设置关注频道名称
	TwitterFollowName FollowChannelNameStr = "Twitter"
	YoutubeFollowName FollowChannelNameStr = "Youtube"
)

var (
	followChannelNameMap map[string]FollowChannelNameStr
)

func init() {
	followChannelNameMap = make(map[string]FollowChannelNameStr, 8)
	followChannelNameMap["Twitter"] = TwitterFollowName
	followChannelNameMap["Youtube"] = YoutubeFollowName
}

func FollowChannelNameValid(followName string) bool {
	_, exist := followChannelNameMap[followName]
	return exist
}

type JoinChannelNameStr string

const (
	// TODO 需要设置加入频道名称
	TGJoinName JoinChannelNameStr = "TG"
	DCJoinName JoinChannelNameStr = "DC"
)

var (
	joinChannelNameMap map[string]JoinChannelNameStr
)

func init() {
	joinChannelNameMap = make(map[string]JoinChannelNameStr, 8)
	joinChannelNameMap["TG"] = TGJoinName
	joinChannelNameMap["DC"] = DCJoinName
}

func JoinChannelNameValid(joinName string) bool {
	_, exist := joinChannelNameMap[joinName]
	return exist
}
