package constant

type ClickNameStr string

const (
	InviteClickName    ClickNameStr = "INVITE"    // 邀请
	ShareClickName     ClickNameStr = "SHARE"     // 分享
	TurntableClickName ClickNameStr = "TURNTABLE" // 转盘
	DiceClickName      ClickNameStr = "DICE"      // 骰子
)

var (
	clickNameMap map[string]ClickNameStr
)

func init() {
	clickNameMap = make(map[string]ClickNameStr, 8)
	clickNameMap["INVITE"] = InviteClickName
	clickNameMap["SHARE"] = ShareClickName
	clickNameMap["TURNTABLE"] = TurntableClickName
	clickNameMap["DICE"] = DiceClickName
}

func ClickNameValid(clickName string) bool {
	_, exist := clickNameMap[clickName]
	return exist
}
