package eventmodels

// 后台用户操作事件
type BackendOperationEventContent struct {
	UserBasic
	EventBasic
	RoleId       string `json:"role_id"`       // 角色ID
	Path         string `json:"url"`           // 请求路径
	Method       string `json:"method"`        // 请求方法
	StatusCode   int    `json:"status_code"`   // HTTP状态码
	Dur          int64  `json:"dur"`           // 请求耗时(毫秒)
	ClientIP     string `json:"client_ip"`     // 客户端IP
	ErrorMessage string `json:"error_message"` // 错误信息
}

func (e *BackendOperationEventContent) EventName() string {
	return "BackendOperation"
}
