package eventmodels

type EventBasic struct {
	ServerId         string `json:"serverId"`           // 服务id或者nodeid
	IsSuccess        bool   `json:"is_uccess"`          // http响应结果
	Status           int    `json:"status"`             // 事件状态 0:表示成功
	RewardDrawStatus int    `json:"reward_draw_status"` // 奖励领取状态
	CreateAt         int64  `json:"create_at"`          // 事件创建时间戳
}

type UserBasic struct {
	UserId            string `json:"user_id"`              // 用户id
	UserName          string `json:"user_name"`            // 用户昵称
	TgId              string `json:"tg_id"`                // 绑定tgid
	XId               string `json:"x_id"`                 // 绑定推特ID
	ParentUserId      string `json:"parent_user_id"`       // 上级用户id
	IsRobot           bool   `json:"is_robot"`             // 是否为机器人
	IfTgVip           bool   `json:"if_tg_vip"`            // 是否为telegram会员
	TonWall           string `json:"tonWall"`              // 绑定钱包地址
	Email             string `json:"email"`                // 邮箱
	Fingerprint       string `json:"fingerprint"`          // 指纹数据
	Level             int    `json:"level"`                // 等级
	UserStatus        int    `json:"user_status"`          // 用户账号状态  1:有效 2:禁用
	PointsRankSeq     int64  `json:"points_rank_seq"`      // 积分排名
	ThrowDiceRankSeq  int64  `json:"throw_dice_rank_seq"`  // 投掷骰子次数排名
	InviteUserRankSeq int64  `json:"invite_user_rank_seq"` // 邀请人数排名
}
