package eventmodels

// 用户奖励事件
type UserRewardEventContent struct {
	UserBasic
	EventBasic
	Source    int    `json:"source"` // 奖励来源
	SourceId  int    `json:"sourceId"`
	AddReward string `json:"add_reward"` // 增加的道具json字符串 eg:[]ItemReward
	SubReward string `json:"sub_reward"` // 减少的道具json字符串 eg:[]ItemReward
	Desc      string `json:"desc"`       // json字符串
}

type ItemReward struct {
	ItemBaseType int `json:"item_base_type"` // itemType:道具基类型
	ItemID       int `json:"item_id"`        // itemID:道具ID
	Amount       int `json:"amount"`         // amount:数量
}

type DescDraw struct {
	ID     int          `json:"id"`     // 中奖格子
	CurID  int          `json:"cur_id"` // 规则ID
	Reward []ItemReward `json:"reward"`
}

func (e *UserRewardEventContent) EventName() string {
	return "UserReward"
}
