package eventmodels

// 用户信息更新事件
type UserUpdateInfoEventContent struct {
	UserBasic
	EventBasic
	UpdateUserName    string `json:"update_user_name"`   // 用户昵称
	UpdateTgId        string `json:"update_tg_id"`       // 绑定tgid
	UpdateXId         string `json:"update_x_id"`        // 绑定推特ID
	UpdateTonWall     string `json:"update_ton_wall"`    // 绑定钱包地址
	UpdateFingerprint string `json:"update_fingerprint"` // 绑定指纹数据
	UpdateEmail       string `json:"update_email"`       // 邮箱
	UpdateMobile      string `json:"update_mobile"`      // 手机号
	UpdateAvatar      string `json:"update_avatar"`      // 头像
	UpdateBirthday    string `json:"update_birthday"`    // 生日
	UpdatePassword    string `json:"update_password"`    // 账户密码 仅记录该操作，不记录内容
	UpdateSalt        string `json:"update_salt"`        // 密码盐 仅记录该操作，不记录内容
	UpdateIsLeader    bool   `json:"update_is_leader"`   // 是否是社区长
	UpdateIsVip       bool   `json:"update_is_vip"`      // 是否为VIP
	UpdateLevel       int    `json:"update_level"`       // 等级
	UpdateExp         int    `json:"update_exp"`         // 经验
	UpdateGender      int    `json:"update_gender"`      // 性别
}

func (e *UserUpdateInfoEventContent) EventName() string {
	return "UserUpdateInfo"
}
