package eventmodels

// 用户提现事件
type UserWithdrawEventContent struct {
	UserBasic
	EventBasic
	WithdrawId    string `json:"withdraw_id"`    // 提现记录id
	Currency      string `json:"currency"`       // 货币类型 范围:constant.CurrencyTypeStr
	Ip            string `json:"ip"`             // IP
	Platform      string `json:"platform"`       // 平台
	Channel       string `json:"channel"`        // 渠道
	Address       string `json:"address"`        // 提现地址
	BeforeBalance int64  `json:"before_balance"` // 提现前余额
	Amount        int64  `json:"amount"`         // 提现金额
	AfterBalance  int64  `json:"after_balance"`  // 提现后余额
	Reason        string `json:"reason"`         // 提现原因
	State         int    `json:"state"`          // 服务器是否已经处理 0 未处理 1已处理
}

func (e *UserWithdrawEventContent) EventName() string {
	return "UserWithdraw"
}
